Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.repositories
[Java] Interface ArtifactRepository

    public interface ArtifactRepository

A repository for resolving and publishing artifacts.

Method Summary
`String` | `getName()` Returns the name for this repository.
`void` | `setName(String name)` Sets the name for this repository.

Method Detail

### getName

    public String getName()

  Returns the name for this repository. A name must be unique amongst a repository set. A default name is provided for the repository if none is provided.

  The name is used in logging output and error reporting to point to information related to this repository.

  Returns:
    The name.

### setName

    public void setName(String name)

  Sets the name for this repository.
  Parameters:
    `name` - The name. Must not be null.

Gradle API 1.1-rc-1